Pagina 1 di 2 1 2 ultimoultimo
Visualizzazione dei risultati da 1 a 10 su 19
  1. #1
    Utente di HTML.it L'avatar di Marcolino's
    Registrato dal
    May 2003
    residenza
    Udine
    Messaggi
    3,577

    [j2re] ce n' una al minuto, ma il bello di Linux

    Gi, stavo configurando la jvm, e siccome quella della sun mi crea problemi, che per risolvere i quali devo infarcire il sistema di collegamenti, ne ho provata un'altra, e la scelta caduta su Blackdown, comunque sia, copiato il repository su sources.list mi sono accinto a scaricare e installare il tutto, ed ecco l'uotput
    Get:2 ftp://ftp.tux.org sarge/non-free Release [427B]
    Scaricato 1981B in 4s (488B/s)
    Lettura della lista dei pacchetti in corso... Fatto
    debby:/home/sviluppo# apt-get install j2sdk1.4
    Lettura della lista dei pacchetti in corso... Fatto
    Generazione dell'albero delle dipendenze in corso... Fatto
    I seguenti pacchetti verranno inoltre installati:
    j2re1.4 java-common
    Pacchetti suggeriti:
    ttf-kochi-gothic ttf-kochi-mincho j2sdk1.4-doc equivs
    Pacchetti raccomandati:
    gsfonts-x11
    I seguenti pacchetti NUOVI (NEW) saranno installati:
    j2re1.4 j2sdk1.4 java-common
    0 aggiornati, 3 installati, 0 da rimuovere e 0 non aggiornati.
    necessario prendere 26,2MB di archivi.
    Dopo l'estrazione, verranno occupati 68,0MB di spazio su disco.
    Continuare? [S/n]
    Get:1 ftp://ftp2.fr.debian.org unstable/main java-common 0.22 [68,2kB]
    Get:2 ftp://ftp.tux.org sarge/non-free j2re1.4 1.4.2.01-1 [22,5MB]
    Get:3 ftp://ftp.tux.org sarge/non-free j2sdk1.4 1.4.2.01-1 [3542kB]
    Scaricato 26,2MB in 17m45s (24,6kB/s)
    Preconfiguring packages ...
    j2re1.4 ha fallito nel preconfigurare, con lo stato di uscita 10
    j2sdk1.4 ha fallito nel preconfigurare, con lo stato di uscita 10
    Selezionato il pacchetto java-common, che non lo era.
    (Lettura del database ... 54661 file e directory attualmente installati.)
    Spacchetto java-common (da .../java-common_0.22_all.deb) ...
    Selezionato il pacchetto j2re1.4, che non lo era.
    Spacchetto j2re1.4 (da .../j2re1.4_1.4.2.01-1_i386.deb) ...
    dpkg: errore processando /var/cache/apt/archives/j2re1.4_1.4.2.01-1_i386.deb (-- unpack):
    il sottoprocesso pre-installation script ha restituito un codice di errore 10
    Selezionato il pacchetto j2sdk1.4, che non lo era.
    Spacchetto j2sdk1.4 (da .../j2sdk1.4_1.4.2.01-1_i386.deb) ...
    dpkg: errore processando /var/cache/apt/archives/j2sdk1.4_1.4.2.01-1_i386.deb (- -unpack):
    il sottoprocesso pre-installation script ha restituito un codice di errore 10
    Sono occorsi degli errori processando:
    /var/cache/apt/archives/j2re1.4_1.4.2.01-1_i386.deb
    /var/cache/apt/archives/j2sdk1.4_1.4.2.01-1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Insomma pare proprio che io con java debba sempre incontrare problemi

  2. #2
    usa questa guida che funziona benissimo
    http://www.ubuntuforums.org/showthre...highlight=java

    Download Java: http://java.sun.com/webapps/downloa...L?BundleId=9718

    1. chmod a+x j2re-1_4_2_05-linux-i586.bin
    2. ./j2re-1_4_2_05-linux-i586.bin
    3. sudo mv j2re1.4.2_05 /usr/local/
    4. sudo ln -sf /usr/local/j2re1.4.2_05/bin/java /usr/bin/java
    5. sudo ln -sf /usr/local/j2re1.4.2_05/bin/java_vm /usr/bin/java_vm
    6. cd /home/username/.mozilla/plugins

    If you do not have a plugins directory you can create one.
    mkdir -p /home/username/.mozilla/plugins

    7. ln -s /usr/local/j2re1.4.2_05/plugin/i386/ns610-gcc32/libjavaplugin_oji.so libjavaplugin_oji.so
    8. sudo ln -s /usr/local/j2re1.4.2_05/plugin/i386/ns610-gcc32/libjavaplugin_oji.so /usr/lib/mozilla-firefox/plugins/

    That should give you working firefox java and systemwide java support.
    Karmacoma, jamaica' aroma

  3. #3

  4. #4
    Originariamente inviato da Marcolino's
    Uhmmm provo e poi ti faccio sapere
    ok
    Karmacoma, jamaica' aroma

  5. #5
    Utente di HTML.it L'avatar di Marcolino's
    Registrato dal
    May 2003
    residenza
    Udine
    Messaggi
    3,577
    Bene seguita a menadito la guida da te postata, il mozillone mi si chiude e pure epiphany, non male per

    Ho dovuto cancellare i link.

    Mi viene un'idea: dato che la cartella plugins dentro la .mozilla non viene creata in modo predefinito, forse creandola a mani prima potrebbe risolvere il problema ... poi ci provo.

  6. #6
    Utente di HTML.it
    Registrato dal
    Jan 2001
    Messaggi
    7,728
    a me invece funge perfettamente sia su Mozilla che su Firefox.

    solo che il link postato non funge, ho scaricato la jre-1_5_0_01-linux-i586.bin, invece della j2re1.4 ......, dalla pagina di download della Sun ed ho ovviamente cambiato il nome in tutti i comandi della indicati nella guida ...

  7. #7

  8. #8
    Utente di HTML.it
    Registrato dal
    Jan 2001
    Messaggi
    7,728
    kanotix (sempre debian +/- Sid)

    Ma il bello che funziona anche su Konqueror al primo colpo. Mi creo un appuntino, poi posto come fare ...

  9. #9
    Utente di HTML.it
    Registrato dal
    Jan 2001
    Messaggi
    7,728
    per Konqueror

    aprire impostazioni --- configura Konqueror ---- plugin

    cliccare su nuovo e scrivere (o copia -- incolla)

    /usr/lib/mozilla-firefox/plugins/

    applica, ok. Ho dato anche cerca plugin ... ed ho spuntato cerca nuovi plugins all'avvio di KDE e .... funziona ... incredibile, ma funziona .....

  10. #10
    Utente di HTML.it
    Registrato dal
    Jan 2001
    Messaggi
    7,728
    finalmente, dopo smanettamenti vari (controlli e modifiche dei path, rifacimento dei simlink, revisione dei permessi, .), seguendo la guida in questo thread, anche in MDK 10.1 official, Mozilla, Firefox e Konqueror visualizzano perfettamente le applets java e pure le animazioni flash .... che radiosa serata ...

    Ora mi metto al lavoro con il portatile (Knoppix ---> Sid)

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2020 vBulletin Solutions, Inc. All rights reserved.